> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherfuse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all exchange rates

> Returns current USD exchange rates for all supported currencies.
This endpoint is public and does not require authentication.




## OpenAPI

````yaml /openapi.yaml get /lookup/exchange_rate
openapi: 3.1.0
info:
  title: FX API
  version: 1.0.0
  description: >
    API for managing FX operations including onboarding, quotes, orders, and
    customer management.

    This API provides endpoints for managing customers, bank accounts, crypto
    wallets, orders, and webhooks.
servers:
  - url: https://api.etherfuse.com
    description: Production API
  - url: https://api.sand.etherfuse.com
    description: Sandbox API (for testing)
security: []
tags:
  - name: Lookup
    description: Public endpoints for looking up stablebond and exchange rate data
  - name: Assets
    description: Get available assets for ramping
  - name: Onboarding
    description: Customer onboarding and KYC
  - name: Bank Accounts
    description: Manage customer bank accounts
  - name: Agreements
    description: Handle customer agreements and consents
  - name: Quotes
    description: Get quotes for conversions
  - name: Orders
    description: Create and manage orders
  - name: Swaps
    description: Create and manage swaps
  - name: Customers
    description: Manage customers
  - name: Crypto Wallets
    description: Manage crypto wallets
  - name: Webhooks
    description: Manage webhook subscriptions
  - name: Organizations
    description: Manage organizations and child organizations
paths:
  /lookup/exchange_rate:
    get:
      tags:
        - Lookup
      summary: Get all exchange rates
      description: |
        Returns current USD exchange rates for all supported currencies.
        This endpoint is public and does not require authentication.
      operationId: getExchangeRates
      responses:
        '200':
          description: Exchange rates retrieved successfully
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    rate:
                      type: string
                      description: The USD to currency exchange rate
                    updated_at:
                      type: integer
                      description: Unix timestamp of when this rate was last updated
                    sources:
                      type: object
                      additionalProperties:
                        type: object
                        properties:
                          rate:
                            type: string
                          updated_at:
                            type: integer
                      description: Per-provider exchange rate data
              example:
                usd_to_mxn:
                  rate: '17.15'
                  updated_at: 1709510400
                  sources:
                    provider_1:
                      rate: '17.15'
                      updated_at: 1709510400
                usd_to_brl:
                  rate: '4.97'
                  updated_at: 1709510400
                  sources:
                    provider_1:
                      rate: '4.97'
                      updated_at: 1709510400

````